DEVNAME(3) | NetBSD Library Functions Manual | DEVNAME(3)

# NAME

devname — get device name

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <stdlib.h>
#include <sys/stat.h>

char *
devname(dev_t dev, mode_t type);

# DESCRIPTION

The devname() function returns a pointer to the name of the block or character device in “/dev” with a device number of dev, and a file type matching the one encoded in type which must be one of S_IFBLK or S_IFCHR. The device name is cached so that multiple calls with the same dev and type do not require additional queries of the device database file. If no device matches the specified values, or no information is available, NULL is returned.

The traditional display for applications when no device is found is the string “??”.

# FILES

/var/run/dev.db
  Device database file.

# SEE ALSO

stat(2), dev_mkdb(8)

# HISTORY

The devname function call appeared in 4.4BSD.

April 29, 1995 | NetBSD 5.99